<?php


namespace App\Entities\TipoProdutoServico;


use App\Utils\Builder;

class TipoProdutoServicoBuilder implements Builder
{
    protected $id;
    protected $descricao;

    public function setId($id) : TipoProdutoServicoBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao($descricao) : TipoProdutoServicoBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : TipoProdutoServico
    {
    	$tipo_procedimento = New TipoProdutoServico();
        if (isset($this->id)) {
            $tipo_procedimento->setid($this->id);
        }
        if (isset($this->descricao)) {
            $tipo_procedimento->setdescricao($this->descricao);
        }
        return $tipo_procedimento;
    }
}